package net.wanji.opt.controllerv2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class AreaCrossOptimizeDayAnalysisResult extends ParentResult {

    private AreaCrossOptimizeDayAnalysisResultResponse content;

    public AreaCrossOptimizeDayAnalysisResultResponse getContent() {
        return content;
    }

    public AreaCrossOptimizeDayAnalysisResult setContent(AreaCrossOptimizeDayAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class AreaCrossOptimizeDayAnalysisResultResponse {

    @ApiModelProperty(value = "区域内所有路口【溢出】问题总次数", example = "100次",position = 0)
    private String overFlowProblemCount;
    @ApiModelProperty(value = "区域内所有路口【溢出】优化总次数", example = "10次",position = 1)
    private String overFlowOptimizeCount;
    @ApiModelProperty(value = "区域内所有路口【溢出】问题总次数与上周比较情况", example = "降低【上升】2%",position = 2)
    private String overFlowProblemCountCompare;
    @ApiModelProperty(value = "区域内所有路口【溢出】优化总时长与上周比较情况", example = "减少【增加】2%",position = 3)
    private String overFlowProblemDurationCompare;

    @ApiModelProperty(value = "区域内所有路口【失衡】问题总次数", example = "100次",position = 4)
    private String unbalanceProblemCount;
    @ApiModelProperty(value = "区域内所有路口【失衡】优化总次数", example = "10次",position = 5)
    private String unbalanceOptimizeCount;
    @ApiModelProperty(value = "区域内所有路口【失衡】问题总次数与上周比较情况", example = "降低【上升】2%",position = 6)
    private String unbalanceProblemCountCompare;
    @ApiModelProperty(value = "区域内所有路口【失衡】优化总时长与上周比较情况", example = "减少【增加】2%",position = 7)
    private String unbalanceProblemDurationCompare;

    @ApiModelProperty(value = "区域内所有路口【空放】问题总次数", example = "100次",position = 8)
    private String emptyPassProblemCount;
    @ApiModelProperty(value = "区域内所有路口【空放】优化总次数", example = "10次",position = 9)
    private String emptyPassOptimizeCount;
    @ApiModelProperty(value = "区域内所有路口【空放】问题总次数与上周比较情况", example = "降低【上升】2%",position = 10)
    private String emptyPassProblemCountCompare;
    @ApiModelProperty(value = "区域内所有路口【空放】优化总时长与上周比较情况", example = "减少【增加】2%",position = 11)
    private String emptyPassProblemDurationCompare;


    @ApiModelProperty(value = "路口【溢出】优化情况（优化次数与溢出报警次数）",position = 12)
    private AreaCrossOptimizeCountData overFlowCountTrend = new AreaCrossOptimizeCountData();

    @ApiModelProperty(value = "路口【失衡】优化情况（优化次数与失衡报警次数）", example = "上升",position = 13)
    private AreaCrossOptimizeCountData unbalanceCountTrend  = new AreaCrossOptimizeCountData();

    @ApiModelProperty(value = "路口【空放】优化情况（优化次数与空放报警次数）", position = 14)
    private AreaCrossOptimizeCountData emptyPassCountTrend  = new AreaCrossOptimizeCountData();

}


@Data
class AreaCrossOptimizeCountData {

    @ApiModelProperty(value = "时段列表（小时/分钟）粒度格式：HH:mm",example = "[\"01:00\",\"02:00\"]",dataType = "String[]",position = 0)
    private   List<String> timeList = new ArrayList<>();


    @ApiModelProperty(value = "本周当日所有路口问题-发生次数", example = "[150,300]",position = 1)
    private List<Integer> happenCount = new ArrayList<>();

    @ApiModelProperty(value = "本周当日所有路口问题-优化次数", example = "[150,300]",position = 2)
    private List<Integer> optimizeCount = new ArrayList<>();

}
