package net.wanji.opt.controllerv2.report.design;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.ParentResult;

import java.util.ArrayList;
import java.util.List;

@Data
public class AreaCrossProblemDayAnalysisResult extends ParentResult {

    private AreaCrossProblemDayAnalysisResultResponse content;

    public AreaCrossProblemDayAnalysisResultResponse getContent() {
        return content;
    }

    public AreaCrossProblemDayAnalysisResult setContent(AreaCrossProblemDayAnalysisResultResponse content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class AreaCrossProblemDayAnalysisResultResponse {

    @ApiModelProperty(value = "区域内所有路口【溢出】问题总次数", example = "100次",position = 1)
    private String overFlowProblemCount;
    @ApiModelProperty(value = "区域内所有路口【溢出】问题总时长", example = "100min",position = 2)
    private String overFlowProblemDuration;
    @ApiModelProperty(value = "区域内所有路口【溢出】问题主要时段", example = "100min",position = 3)
    private String overFlowProblemTimeSpan;

    @ApiModelProperty(value = "区域内所有路口【拥堵】问题总次数", example = "100次",position = 4)
    private String congestProblemCount;
    @ApiModelProperty(value = "区域内所有路口【拥堵】问题总时长", example = "100min",position = 5)
    private String congestProblemDuration;
    @ApiModelProperty(value = "区域内所有路口【拥堵】问题主要时段", example = "100min",position = 6)
    private String congestProblemTimeSpan;

    @ApiModelProperty(value = "区域内所有路口【失衡】问题总次数", example = "100次",position = 7)
    private String unbalanceProblemCount;
    @ApiModelProperty(value = "区域内所有路口【失衡】问题总时长", example = "100min",position = 8)
    private String unbalanceProblemDuration;
    @ApiModelProperty(value = "区域内所有路口【失衡】问题主要时段", example = "100min",position = 9)
    private String unbalanceProblemTimeSpan;

    @ApiModelProperty(value = "区域内所有路口【空放】问题总次数", example = "100次",position = 10)
    private String emptyPassProblemCount;
    @ApiModelProperty(value = "区域内所有路口【空放】问题总时长", example = "100min",position = 11)
    private String emptyPassProblemDuration;
    @ApiModelProperty(value = "区域内所有路口【空放】问题主要时段", example = "100min",position = 12)
    private String emptyPassProblemTimeSpan;

    @ApiModelProperty(value = "区域内【溢出】最严重路口", example = "旅游路-洪山路",position = 13)
    private String seriousOverFlowCrossName;
    @ApiModelProperty(value = "区域内【溢出】最严重路口：发生次数", example = "旅游路-洪山路",position = 14)
    private String seriousOverFlowCount;
    @ApiModelProperty(value = "区域内【溢出】最严重路口总时长", example = "旅游路-洪山路",position = 15)
    private String seriousOverFlowDuration;

    @ApiModelProperty(value = "区域内【拥堵】最严重路口", example = "旅游路-洪山路",position = 16)
    private String seriousCongestCrossName;
    @ApiModelProperty(value = "区域内【拥堵】最严重路口：发生次数", example = "旅游路-洪山路",position = 17)
    private String seriousCongestCount;
    @ApiModelProperty(value = "区域内【拥堵】最严重路口总时长", example = "旅游路-洪山路",position = 18)
    private String seriousCongestDuration;

    @ApiModelProperty(value = "区域内【失衡】最严重路口", example = "旅游路-洪山路",position = 19)
    private String seriousUnbalanceCrossName;
    @ApiModelProperty(value = "区域内【失衡】最严重路口：发生次数", example = "旅游路-洪山路",position = 20)
    private String seriousUnbalanceCount;
    @ApiModelProperty(value = "区域内【失衡】最严重路口总时长", example = "旅游路-洪山路",position = 21)
    private String seriousUnbalanceDuration;

    @ApiModelProperty(value = "区域内【空放】最严重路口", example = "旅游路-洪山路",position = 22)
    private String seriousEmptyPassCrossName;
    @ApiModelProperty(value = "区域内【空放】最严重路口：发生次数", example = "旅游路-洪山路",position = 23)
    private String seriousEmptyPassCount;
    @ApiModelProperty(value = "区域内【空放】最严重路口总时长", example = "旅游路-洪山路",position = 24)
    private String seriousEmptyPassDuration;


    @ApiModelProperty(value = "区域内路口溢出排名",position = 25)
    private List<AreaCrossProblemRankData> overFlowRankList = new ArrayList<>();

    @ApiModelProperty(value = "区域内路口失衡排名",position = 26)
    private List<AreaCrossProblemRankData> unbalanceRankList = new ArrayList<>();

    @ApiModelProperty(value = "区域内路口拥堵排名",position = 27)
    private List<AreaCrossProblemRankData> congestRankList = new ArrayList<>();

    @ApiModelProperty(value = "区域内路口空放排名",position = 27)
    private List<AreaCrossProblemRankData> emptyPassRankList = new ArrayList<>();

}


@Data
class AreaCrossProblemRankData {

    @ApiModelProperty(value = "路口名称", example = "舜耕路-山大路",position = 2)
    private String crossName;

    @ApiModelProperty(value = "持续时长", example = "3",position = 3)
    private Integer duration;

    @ApiModelProperty(value = "排名", example = "1", position = 4)
    private Integer rank;

}
