package net.wanji.opt.entity.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "干线拥堵详情实体类")
public class AnalysisReportCrossPeakDetail {

    @ApiModelProperty(value = "路口ID", example = "13NG90B5V90")
    private String crossId;

    @ApiModelProperty(value = "星期几：1~7代表周一至周日", example = "1")
    private Integer weekDay;

    @ApiModelProperty(value = "高峰类型 1早高峰 2晚高峰 3平峰", example = "1")
    private String peakType;

    @ApiModelProperty(value = "类型：1工作日 2周末", example = "1")
    private String dayType;

    @ApiModelProperty(value = "峰期开始时间", example = "2025-04-15 08:00:00")
    private Date peakStartTime;

    @ApiModelProperty(value = "峰期截止时间", example = "2025-04-15 09:00:00")
    private Date peakEndTime;

    @ApiModelProperty(value = "天总流量", example = "10000")
    private Integer dayTotalFlow;

    @ApiModelProperty(value = "天最大小时流量", example = "1200")
    private Integer dayMaxHourFlow;

    @ApiModelProperty(value = "峰期内最大小时流量", example = "800")
    private Integer peakMaxHourFlow;

    @ApiModelProperty(value = "峰期内平均交通指数", example = "2.5")
    private Double peakTrafficIndex;

    @ApiModelProperty(value = "峰期内通行能力", example = "1500")
    private Integer peakCapacity;

    @ApiModelProperty(value = "峰期内平均延误时长", example = "10.5")
    private Double peakAvgDeayTime;

    @ApiModelProperty(value = "峰期内最大排队长度，单位米", example = "50")
    private Integer peakMaxQueueLength;

    @ApiModelProperty(value = "峰期内平均延误指数", example = "3.2")
    private Double peakAvgStopTimes;

    @ApiModelProperty(value = "一年中的第几周，格式yyyyw，如20251", example = "20251")
    private Integer yearWeek;

    @ApiModelProperty(value = "一周的第一天", example = "2025-04-14 00:00:00")
    private Date weekStartTime;

    @ApiModelProperty(value = "一周的最后一天", example = "2025-04-20 23:59:59")
    private Date weekEndTime;

    @ApiModelProperty(value = "数据插入时间", example = "2025-04-15 12:34:56")
    private Date insertTime;

    @ApiModelProperty(value = "最大流量", example = "1200")
    private Integer maxFlow;
}