package net.wanji.opt.vo2.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(value = "CrossImportProblemResultResponseVO", description = "路口事情信息")
public class CrossImportProblemResultResponseVO {
    @ApiModelProperty(value = "溢出最严重路口", example = "旅游路-洪山路交叉口、旅游路-霞景路交叉口",position = 0)
    private String overFlowCrossName;
    @ApiModelProperty(value = "本周溢出时长", example = "3.5小时",position = 1)
    private String overFlowDuration;

    @ApiModelProperty(value = "拥堵最严重路口", example = "旅游路-洪山路交叉口、旅游路-霞景路交叉口",position = 2)
    private String congestCrossName;
    @ApiModelProperty(value = "本周拥堵时长", example = "3.5小时",position = 3)
    private String congestDuration;

    //================================================================================================//

    @ApiModelProperty(value = "溢出路口排名，top10",position = 4)
    private List<CrossImportProblemDataVO> overFlowList=new ArrayList<>();

    @ApiModelProperty(value = "拥堵路口排名，top10",position = 5)
    private List<CrossImportProblemDataVO> congestList=new ArrayList<>();
}
